# Scodoc Mobile

## Description

Version mobile de l'application web ScoDoc (v0)

### Fonctionnalités:
- Login
- Choix de département / formation
- Affichage des profils étudiants
- Recherche d'élèves
- Affichage des absences 

## Usage

Modifier le fichier index.js (ligne 8) afin de mettre l'endpoint de l'API ScoDoc

`npm run build` > Crée un dossier `build` avec le contenu du site en prod

### Dans le cadre d'un serveur web Apache

Le contenu du dossier `build` doit etre la racine du site web.

Pour éviter des erreurs 404 liées à l'arborescence dynamique de  React:
```
<Directory ...>
    ...
    RewriteEngine on
    RewriteCond %{REQUEST_FILENAME} -f [OR]
    RewriteCond %{REQUEST_FILENAME} -d
    RewriteRule ^ - [L]
    RewriteRule ^ index.html [L]
</Directory>
```

## Arborescence

### `/`
Pages de login et choix du département

### `/DEPT/Scolarité`
Choix de la formation et barre de recherche d'élèves

### `/DEPT/Scolarité/SEMID/GestionSem`
Page principale de la gestion d'un semestre (Liste des élèves, présentation du département, gestion des absences)

### `/DEPT/Scolarite/Etudiant/ETUDID`
Profil de l'étudiant