import React, {Component} from "react";
import {Tabs, Tab, Button} from "react-bootstrap"
import Acceuil from "./GestionSemestre/Acceuil";
import Absences from "./GestionSemestre/Absences";
import Eleves from "./GestionSemestre/Eleves";
import ScoNavBar from "./ScoNavBar";
import {Link} from "react-router-dom";

class GestionSemestre extends Component {
    render() {
        return (
            <div>
                <ScoNavBar/>
                <div>
                    <Tabs defaultActiveKey="Acceuil" id="controlled-tab-example">
                        <Tab eventKey="Acceuil" title="Acceuil">
                            <Acceuil />
                        </Tab>
                        <Tab eventKey="Absences" title="Absences">
                            <Absences />
                        </Tab>
                        <Tab eventKey="Eleves" title="Eleves">
                            <Eleves />
                        </Tab>
                    </Tabs>
                </div>
                <footer className="fixed-bottom">
                    <div style={{background: "#cccccc", padding: "5px"}}>
                        <Link to={`/${window.location.href.split('/')[3]}/Scolarite`}>
                            <Button type="button" className="btn waves-effect waves-light btn-primary">Retour au choix de semestre</Button>
                        </Link>
                    </div>
                </footer>
            </div>
        )
    }
}

export default GestionSemestre