import React from 'react';
import {Switch, Route} from 'react-router-dom';
import Scolarite from './ScoDoc/Scolarite.js'
import Login from './ScoDoc/Login'
import GestionSemestre from "./ScoDoc/GestionSemestre";
import Etudiant from "./ScoDoc/Etudiant";


const Main = () => {
    return (
        <Switch>
            <Route exact path='/' component={Login}/>
            <Route exact path='/:DEPT/Scolarite' component={Scolarite}/>
            <Route exact path='/:DEPT/Scolarite/Etudiant/:EtudId' component={Etudiant}/>
            <Route exact path='/:DEPT/Scolarite/:SEM/GestionSem' component={GestionSemestre}/>
        </Switch>
    );
}

export default Main;